package csit105demochapter02f22;
/**
 * This program calculates the estimated cost for taking a trip in a car
 * History:
 * Date Written:    4/1/2004
 * Date Modified:   2/11/2008 - replaced BufferedReader with Scanner
 *                              Changed Class Name, Changed distance to totalMiles,
 *                              Added comments, fixed args
 *                  5/24/2008 - changed Class Name
 *                  9/14/2008 - changed class for Demo
 * @author Stephen Brower - inspired by an assignment by Tony Gaddis
 */

import java.util.Scanner;

public class TripCalculator {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        // declare variables
        double milesPerGallon, averageCostOfGas, totalMiles, costOfTrip;
        Scanner input = new Scanner(System.in);

        // Get Data
        System.out.print("Enter estimated total miles of trip: ");
        totalMiles = input.nextDouble();

        System.out.print("Enter MPG: ");
        milesPerGallon = input.nextDouble();

        System.out.print("Enter Anticipated Average Cost of Gas: ");
        averageCostOfGas = input.nextDouble();

        // Calculate Data
        costOfTrip = totalMiles / milesPerGallon * averageCostOfGas;

        // Display Results
        System.out.printf("\n%s %,.8f\n", "Estimated cost of trip: $", costOfTrip);
    }
}
